Go to the latest version of this document.

# ``twisted`.`protocols`.`ident`.`InvalidPort``

exception documentation

`class InvalidPort(IdentError): (source)`

View In Hierarchy

Either the local or foreign port was improperly specified. This should be returned if either or both of the port ids were out of range (TCP port numbers are from 1-65535), negative integers, reals or in any fashion not recognized as a non-negative integer.

Class Variable | `identDescription` | Undocumented

Inherited from `IdentError`:

Method | `__str__` | Undocumented

identDescription: `str` = (source)
overrides `twisted.protocols.ident.IdentError.identDescription`

Undocumented